Skip to content

upsertFixedAsset

WRITE

Upsert fixed asset.

POST /api/v1/accounting/upsertFixedAsset
curl -X POST '<your-host>/api/v1/accounting/upsertFixedAsset' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"

Input schema

schema
{
  "type": "object",
  "properties": {
    "data": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "fixedAssetId": {
              "type": "string"
            }
          },
          "required": [
            "fixedAssetId"
          ]
        },
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "string"
            }
          },
          "required": [
            "id"
          ]
        }
      ]
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "data",
    "_operation"
  ]
}